package com.ss.android.ugc.aweme.shortvideo.cover;

import X.0CB;
import X.0CH;
import X.C030758v;
import X.C31126Is;
import com.bytedance.covode.number.Covode;
import com.ss.android.vesdk.VEEditor;

public class VEMultiEditVideoCoverGeneratorImpl extends VEVideoCoverGeneratorImpl implements C31126Is {
    public int LIZ;

    static {
        Covode.recordClassIndex(108455);
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final int[] LIZ(int i, int i2) {
        int[] iArr = new int[i2];
        int i3 = i / i2;
        for (int i4 = 0; i4 < i2; i4++) {
            iArr[i4] = (i3 * i4) + this.LIZ;
        }
        return iArr;
    }

    public VEMultiEditVideoCoverGeneratorImpl(C030758v r7, 0CH r8, int i, int i2, int i3, VEEditor.GET_FRAMES_FLAGS get_frames_flags) {
        super(r7, r8, i, get_frames_flags, "choose_cover");
        this.LIZJ = i2;
        this.LIZ = i3;
    }
}
